<?php
/**
 * 备货入库
 *
 * @author zhangdongying
 * @date   2023-10-11
 */
declare(strict_types=1);

namespace Meibuyu\Rpc\Service\Interfaces\Store;

interface StockUpServiceInterface
{
    /**
     * 获取到货质检列表（通过发货批次号）
     *
     * @param array $deliveryBatchNos 发货批次号数组
     * @param array $columns 列名数组
     * @return array keyBy('delivery_batch_no')
     */
    public function getQcListByDeliveryBatchNos(array $deliveryBatchNos, array $columns = ['*']): array;
}